# MPI_Info_get_valuelen

Retrieves the length of the value associated with a key

## Synopsis

    #undef FUNCNAME
    #define FUNCNAME MPIRInfo_get_valuelen
    #undef FCNAME
    #define FCNAME MPL_QUOTE(FUNCNAME)
    int MPI_Info_get_valuelen(MPI_Info info, const char *key, int *valuelen, int *flag)

## Input Parameters

info
  info object (handle)
key
  key (string)

## Output Parameters

valuelen
  length of value argument (integer)
flag
  true if key defined, false if not (boolean)

## Thread and Interrupt Safety

This routine is thread and interrupt safe only if no MPI routine that updates or frees the same `MPI_Info` object may be called concurrently with this routine.

The MPI standard defined a thread-safe interface but this does not mean that all routines may be called without any thread locks. For example, two threads must not attempt to change the contents of the same `MPI_Info` object concurrently. The user is responsible in this case for using some mechanism, such as thread locks, to ensure that only one thread at a time makes use of this routine.

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_ERR_INFO_KEY
  Invalid or null key string for info.

MPI_ERR_OTHER
  Other error; use `MPI_Error_string` to get more information about this error code.